Ticket #351 (closed defect: fixed)

Opened 5 years ago

Last modified 5 years ago

controller recovery - modify

Reported by: anirban Owned by: yxin
Priority: major Milestone:
Component: External: Testing and Redeployment Version: baseline
Keywords: Cc: anirban, ibaldin

Description

I found a couple of issues with modify with recovery.

Modifying a slice before recovery works fine. After recovering AM, SM, controller, the following happens:

1. If I want to add nodes to the nodegroup, it throws NP exceptions and the logic also thinks that nothing needs to be added.

INFO | jvm 1 | 2014/08/23 21:18:02 | 2014-08-23 21:18:02,448 [qtp693536729-34 - /orca/xmlrpc] DEBUG controller.orca.controllers.xmlrpc.XmlrpcOrcaState?? - This slice ID=e5ac721f-d882-44d9-a5aa-751bb97222a1 for urn=ng-n-3
INFO | jvm 1 | 2014/08/23 21:18:02 | 2014-08-23 21:18:02,541 [qtp693536729-34 - /orca/xmlrpc] INFO controller.orca.controllers.xmlrpc.OrcaXmlrpcHandler?? - discoverTypes: uncvmsite/vm rt=uncvmsite.vm available units=27
INFO | jvm 1 | 2014/08/23 21:18:02 | 2014-08-23 21:18:02,541 [qtp693536729-34 - /orca/xmlrpc] DEBUG controller.orca.controllers.xmlrpc.OrcaXmlrpcHandler?? - Found abstract model for resource pool: uncvmsite.vm
INFO | jvm 1 | 2014/08/23 21:18:02 | 2014-08-23 21:18:02,590 [qtp693536729-34 - /orca/xmlrpc] INFO controller.orca.controllers.xmlrpc.OrcaXmlrpcHandler?? - discoverTypes: uncNet/vlan rt=uncNet.vlan available units=1000
INFO | jvm 1 | 2014/08/23 21:18:02 | 2014-08-23 21:18:02,590 [qtp693536729-34 - /orca/xmlrpc] DEBUG controller.orca.controllers.xmlrpc.OrcaXmlrpcHandler?? - Found abstract model for resource pool: uncNet.vlan
INFO | jvm 1 | 2014/08/23 21:18:02 | 2014-08-23 21:18:02,638 [qtp693536729-34 - /orca/xmlrpc] INFO controller.orca.controllers.xmlrpc.OrcaXmlrpcHandler?? - discoverTypes: uncvmsite/vlan rt=uncvmsite.vlan available units=999
INFO | jvm 1 | 2014/08/23 21:18:02 | 2014-08-23 21:18:02,638 [qtp693536729-34 - /orca/xmlrpc] DEBUG controller.orca.controllers.xmlrpc.OrcaXmlrpcHandler?? - Found abstract model for resource pool: uncvmsite.vlan
INFO | jvm 1 | 2014/08/23 21:18:02 | See modify http://geni-orca.renci.org/owl/modify/bba8825a-2043-4f0f-bf75-fb99b05563e9#a8430039-3543-440b-9c4f-47e618599b08# by name my-modify
INFO | jvm 1 | 2014/08/23 21:18:02 | See modify element http://geni-orca.renci.org/owl/modify/bba8825a-2043-4f0f-bf75-fb99b05563e9#a8430039-3543-440b-9c4f-47e618599b08#modifyElement/79aaed14-0f42-4c78-946c-a0646b20a35d with subject http://geni-orca.renci.org/owl/91232496-85b8-4adb-b9d4-48c4af4299ec#NodeGroup0 of type INCREASE
INFO | jvm 1 | 2014/08/23 21:18:02 | java.lang.NullPointerException??
INFO | jvm 1 | 2014/08/23 21:18:02 | at orca.embed.cloudembed.MappingHandler??.getIPRange(MappingHandler??.java:196)
INFO | jvm 1 | 2014/08/23 21:18:02 | at orca.embed.cloudembed.controller.ModifyHandler??.addElements(ModifyHandler??.java:163)
INFO | jvm 1 | 2014/08/23 21:18:02 | at orca.embed.cloudembed.controller.ModifyHandler??.modifySlice(ModifyHandler??.java:107)
INFO | jvm 1 | 2014/08/23 21:18:02 | at orca.embed.workflow.RequestWorkflow??.modify(RequestWorkflow??.java:162)
INFO | jvm 1 | 2014/08/23 21:18:02 | at orca.controllers.xmlrpc.OrcaXmlrpcHandler??.modifySlice(OrcaXmlrpcHandler??.java:583)
INFO | jvm 1 | 2014/08/23 21:18:02 | at sun.reflect.NativeMethodAccessorImpl??.invoke0(Native Method)
INFO | jvm 1 | 2014/08/23 21:18:02 | at sun.reflect.NativeMethodAccessorImpl??.invoke(Unknown Source)
INFO | jvm 1 | 2014/08/23 21:18:02 | at sun.reflect.DelegatingMethodAccessorImpl??.invoke(Unknown Source)
INFO | jvm 1 | 2014/08/23 21:18:02 | at java.lang.reflect.Method.invoke(Unknown Source)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.apache.xmlrpc.server.ReflectiveXmlRpcHandler??.invoke(ReflectiveXmlRpcHandler??.java:115)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.apache.xmlrpc.server.ReflectiveXmlRpcHandler??.execute(ReflectiveXmlRpcHandler??.java:106)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.apache.xmlrpc.server.XmlRpcServerWorker??.execute(XmlRpcServerWorker??.java:46)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.apache.xmlrpc.server.XmlRpcServer??.execute(XmlRpcServer??.java:86)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.apache.xmlrpc.server.XmlRpcStreamServer??.execute(XmlRpcStreamServer??.java:200)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.apache.xmlrpc.webserver.XmlRpcServletServer??.execute(XmlRpcServletServer??.java:112)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.apache.xmlrpc.webserver.XmlRpcServlet??.doPost(XmlRpcServlet??.java:196)
INFO | jvm 1 | 2014/08/23 21:18:02 | at orca.controllers.OrcaXmlrpcServlet??.doPost(OrcaXmlrpcServlet??.java:151)
INFO | jvm 1 | 2014/08/23 21:18:02 | at javax.servlet.http.HttpServlet??.service(HttpServlet??.java:727)
INFO | jvm 1 | 2014/08/23 21:18:02 | at javax.servlet.http.HttpServlet??.service(HttpServlet??.java:820)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.servlet.ServletHolder??.handle(ServletHolder??.java:527)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.servlet.ServletHandler??.doHandle(ServletHandler??.java:423)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.server.handler.ScopedHandler??.handle(ScopedHandler??.java:119)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.security.SecurityHandler??.handle(SecurityHandler??.java:493)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.server.handler.ContextHandler??.doHandle(ContextHandler??.java:926)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.servlet.ServletHandler??.doScope(ServletHandler??.java:358)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.server.handler.ContextHandler??.doScope(ContextHandler??.java:860)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.server.handler.ScopedHandler??.handle(ScopedHandler??.java:117)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.server.handler.HandlerWrapper??.handle(HandlerWrapper??.java:113)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.server.Server.handle(Server.java:331)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.server.HttpConnection??.handleRequest(HttpConnection??.java:588)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.server.HttpConnection??$RequestHandler??.content(HttpConnection??.java:1046)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.http.HttpParser??.parseNext(HttpParser??.java:764)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.http.HttpParser??.parseAvailable(HttpParser??.java:217)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.server.HttpConnection??.handle(HttpConnection??.java:418)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.io.nio.SelectChannelEndPoint??.run(SelectChannelEndPoint??.java:476)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.util.thread.QueuedThreadPool??$2.run(QueuedThreadPool??.java:436)
INFO | jvm 1 | 2014/08/23 21:18:02 | at java.lang.Thread.run(Unknown Source)
INFO | jvm 1 | 2014/08/23 21:18:02 | java.lang.NullPointerException??
INFO | jvm 1 | 2014/08/23 21:18:02 | at orca.embed.cloudembed.MappingHandler??.findIPRangeHole(MappingHandler??.java:141)
INFO | jvm 1 | 2014/08/23 21:18:02 | at orca.embed.cloudembed.controller.ModifyHandler??.addElements(ModifyHandler??.java:185)
INFO | jvm 1 | 2014/08/23 21:18:02 | at orca.embed.cloudembed.controller.ModifyHandler??.modifySlice(ModifyHandler??.java:107)
INFO | jvm 1 | 2014/08/23 21:18:02 | at orca.embed.workflow.RequestWorkflow??.modify(RequestWorkflow??.java:162)
INFO | jvm 1 | 2014/08/23 21:18:02 | at orca.controllers.xmlrpc.OrcaXmlrpcHandler??.modifySlice(OrcaXmlrpcHandler??.java:583)
INFO | jvm 1 | 2014/08/23 21:18:02 | at sun.reflect.NativeMethodAccessorImpl??.invoke0(Native Method)
INFO | jvm 1 | 2014/08/23 21:18:02 | at sun.reflect.NativeMethodAccessorImpl??.invoke(Unknown Source)
INFO | jvm 1 | 2014/08/23 21:18:02 | at sun.reflect.DelegatingMethodAccessorImpl??.invoke(Unknown Source)
INFO | jvm 1 | 2014/08/23 21:18:02 | at java.lang.reflect.Method.invoke(Unknown Source)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.apache.xmlrpc.server.ReflectiveXmlRpcHandler??.invoke(ReflectiveXmlRpcHandler??.java:115)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.apache.xmlrpc.server.ReflectiveXmlRpcHandler??.execute(ReflectiveXmlRpcHandler??.java:106)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.apache.xmlrpc.server.XmlRpcServerWorker??.execute(XmlRpcServerWorker??.java:46)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.apache.xmlrpc.server.XmlRpcServer??.execute(XmlRpcServer??.java:86)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.apache.xmlrpc.server.XmlRpcStreamServer??.execute(XmlRpcStreamServer??.java:200)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.apache.xmlrpc.webserver.XmlRpcServletServer??.execute(XmlRpcServletServer??.java:112)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.apache.xmlrpc.webserver.XmlRpcServlet??.doPost(XmlRpcServlet??.java:196)
INFO | jvm 1 | 2014/08/23 21:18:02 | at orca.controllers.OrcaXmlrpcServlet??.doPost(OrcaXmlrpcServlet??.java:151)
INFO | jvm 1 | 2014/08/23 21:18:02 | at javax.servlet.http.HttpServlet??.service(HttpServlet??.java:727)
INFO | jvm 1 | 2014/08/23 21:18:02 | at javax.servlet.http.HttpServlet??.service(HttpServlet??.java:820)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.servlet.ServletHolder??.handle(ServletHolder??.java:527)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.servlet.ServletHandler??.doHandle(ServletHandler??.java:423)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.server.handler.ScopedHandler??.handle(ScopedHandler??.java:119)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.security.SecurityHandler??.handle(SecurityHandler??.java:493)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.server.handler.ContextHandler??.doHandle(ContextHandler??.java:926)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.servlet.ServletHandler??.doScope(ServletHandler??.java:358)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.server.handler.ContextHandler??.doScope(ContextHandler??.java:860)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.server.handler.ScopedHandler??.handle(ScopedHandler??.java:117)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.server.handler.HandlerWrapper??.handle(HandlerWrapper??.java:113)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.server.Server.handle(Server.java:331)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.server.HttpConnection??.handleRequest(HttpConnection??.java:588)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.server.HttpConnection??$RequestHandler??.content(HttpConnection??.java:1046)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.http.HttpParser??.parseNext(HttpParser??.java:764)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.http.HttpParser??.parseAvailable(HttpParser??.java:217)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.server.HttpConnection??.handle(HttpConnection??.java:418)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.io.nio.SelectChannelEndPoint??.run(SelectChannelEndPoint??.java:476)
INFO | jvm 1 | 2014/08/23 21:18:02 | at org.eclipse.jetty.util.thread.QueuedThreadPool??$2.run(QueuedThreadPool??.java:436)
INFO | jvm 1 | 2014/08/23 21:18:02 | at java.lang.Thread.run(Unknown Source)
INFO | jvm 1 | 2014/08/23 21:18:02 | 2014-08-23 21:18:02,689 [qtp693536729-34 - /orca/xmlrpc] INFO controller.orca.controllers.xmlrpc.OrcaXmlrpcHandler?? - ORCA API modifySlice() started...
INFO | jvm 1 | 2014/08/23 21:18:02 | 2014-08-23 21:18:02,808 [qtp693536729-34 - /orca/xmlrpc] DEBUG controller.orca.controllers.xmlrpc.XmlrpcOrcaState?? - This slice ID=e5ac721f-d882-44d9-a5aa-751bb97222a1 for urn=ng-n-3
INFO | jvm 1 | 2014/08/23 21:18:02 | d=:http://geni-orca.renci.org/owl/uncvmsite.rdf#uncvmsite/Domain/vm;resourceType=vm:1:null:http://geni-orca.renci.org/owl/uncvmsite.rdf#uncvmsite/Domain/vm/vm
INFO | jvm 1 | 2014/08/23 21:18:02 | d=:http://geni-orca.renci.org/owl/uncvmsite.rdf#uncvmsite/Domain/vm;resourceType=vm:1:null:http://geni-orca.renci.org/owl/uncvmsite.rdf#uncvmsite/Domain/vm
INFO | jvm 1 | 2014/08/23 21:18:02 | d=:http://geni-orca.renci.org/owl/uncvmsite.rdf#uncvmsite/Domain/vm;resourceType=vm:1:null:http://geni-orca.renci.org/owl/uncvmsite.rdf#uncvmsite/Domain/vm
INFO | jvm 1 | 2014/08/23 21:18:02 | d=:http://geni-orca.renci.org/owl/uncvmsite.rdf#uncvmsite/Domain/vm;resourceType=vm:1:null:http://geni-orca.renci.org/owl/uncvmsite.rdf#uncvmsite/Domain/vm/vm
INFO | jvm 1 | 2014/08/23 21:18:02 | d=:http://geni-orca.renci.org/owl/91232496-85b8-4adb-b9d4-48c4af4299ec#Link31;resourceType=vlan:1:null:http://geni-orca.renci.org/owl/uncvmsite.rdf#uncvmsite/Domain/vlan
INFO | jvm 1 | 2014/08/23 21:18:02 | 2014-08-23 21:18:02,822 [qtp693536729-34 - /orca/xmlrpc] DEBUG controller.orca.controllers.xmlrpc.OrcaXmlrpcHandler?? - No removed reservations in slice with urn ng-n-3 sliceId e5ac721f-d882-44d9-a5aa-751bb97222a1
INFO | jvm 1 | 2014/08/23 21:18:02 | 2014-08-23 21:18:02,822 [qtp693536729-34 - /orca/xmlrpc] DEBUG controller.orca.controllers.xmlrpc.OrcaXmlrpcHandler?? - No added reservations in slice with urn ng-n-3 sliceId e5ac721f-d882-44d9-a5aa-751bb97222a1

2. If I tried to remove a couple of nodes from a nodegroup, nothing happens. The manifest remains same as before. This is what I see in the logs. There are no exceptions. It seems that the logic thinks that there are no new reservations to add or remove.

INFO | jvm 1 | 2014/08/23 21:16:19 | 2014-08-23 21:16:19,133 [qtp693536729-28 - /orca/xmlrpc] DEBUG controller.orca.controllers.xmlrpc.XmlrpcOrcaState?? - This slice ID=e5ac721f-d882-44d9-a5aa-751bb97222a1 for urn=ng-n-3
DEBUG | wrapperp | 2014/08/23 21:16:19 | send a packet PING : ping
INFO | jvm 1 | 2014/08/23 21:16:19 | Received a packet PING : ping
INFO | jvm 1 | 2014/08/23 21:16:19 | Send a packet PING : ok
DEBUG | wrapperp | 2014/08/23 21:16:19 | read a packet PING : ok
DEBUG | wrapper | 2014/08/23 21:16:19 | Got ping response from JVM
INFO | jvm 1 | 2014/08/23 21:16:19 | 2014-08-23 21:16:19,815 [qtp693536729-28 - /orca/xmlrpc] INFO controller.orca.controllers.xmlrpc.OrcaXmlrpcHandler?? - discoverTypes: uncvmsite/vm rt=uncvmsite.vm available units=27
INFO | jvm 1 | 2014/08/23 21:16:19 | 2014-08-23 21:16:19,816 [qtp693536729-28 - /orca/xmlrpc] DEBUG controller.orca.controllers.xmlrpc.OrcaXmlrpcHandler?? - Found abstract model for resource pool: uncvmsite.vm
INFO | jvm 1 | 2014/08/23 21:16:20 | 2014-08-23 21:16:19,911 [qtp693536729-28 - /orca/xmlrpc] INFO controller.orca.controllers.xmlrpc.OrcaXmlrpcHandler?? - discoverTypes: uncNet/vlan rt=uncNet.vlan available units=1000
INFO | jvm 1 | 2014/08/23 21:16:20 | 2014-08-23 21:16:19,911 [qtp693536729-28 - /orca/xmlrpc] DEBUG controller.orca.controllers.xmlrpc.OrcaXmlrpcHandler?? - Found abstract model for resource pool: uncNet.vlan
INFO | jvm 1 | 2014/08/23 21:16:20 | 2014-08-23 21:16:19,974 [qtp693536729-28 - /orca/xmlrpc] INFO controller.orca.controllers.xmlrpc.OrcaXmlrpcHandler?? - discoverTypes: uncvmsite/vlan rt=uncvmsite.vlan available units=999
INFO | jvm 1 | 2014/08/23 21:16:20 | 2014-08-23 21:16:19,975 [qtp693536729-28 - /orca/xmlrpc] DEBUG controller.orca.controllers.xmlrpc.OrcaXmlrpcHandler?? - Found abstract model for resource pool: uncvmsite.vlan
INFO | jvm 1 | 2014/08/23 21:16:20 | See modify http://geni-orca.renci.org/owl/modify/b607b2e2-9e5d-490a-9215-3ccb52fa2b3d#e3ab161c-4a8c-48ca-a2f5-87626a50894f# by name my-modify
INFO | jvm 1 | 2014/08/23 21:16:20 | See modify element http://geni-orca.renci.org/owl/modify/b607b2e2-9e5d-490a-9215-3ccb52fa2b3d#e3ab161c-4a8c-48ca-a2f5-87626a50894f#modifyElement/4f1e5fa7-0d26-4620-8ff1-45854c700259 with subject http://geni-orca.renci.org/owl/91232496-85b8-4adb-b9d4-48c4af4299ec#NodeGroup0 of type REMOVE
INFO | jvm 1 | 2014/08/23 21:16:20 | See modify element http://geni-orca.renci.org/owl/modify/b607b2e2-9e5d-490a-9215-3ccb52fa2b3d#e3ab161c-4a8c-48ca-a2f5-87626a50894f#modifyElement/0e013d1d-92f6-447b-b244-fa461251c305 with subject http://geni-orca.renci.org/owl/91232496-85b8-4adb-b9d4-48c4af4299ec#NodeGroup0 of type REMOVE
INFO | jvm 1 | 2014/08/23 21:16:20 | 2014-08-23 21:16:20,033 [qtp693536729-28 - /orca/xmlrpc] INFO controller.orca.controllers.xmlrpc.OrcaXmlrpcHandler?? - ORCA API modifySlice() started...
INFO | jvm 1 | 2014/08/23 21:16:20 | 2014-08-23 21:16:20,149 [qtp693536729-28 - /orca/xmlrpc] DEBUG controller.orca.controllers.xmlrpc.XmlrpcOrcaState?? - This slice ID=e5ac721f-d882-44d9-a5aa-751bb97222a1 for urn=ng-n-3
INFO | jvm 1 | 2014/08/23 21:16:20 | d=:http://geni-orca.renci.org/owl/uncvmsite.rdf#uncvmsite/Domain/vm;resourceType=vm:1:null:http://geni-orca.renci.org/owl/uncvmsite.rdf#uncvmsite/Domain/vm/vm
INFO | jvm 1 | 2014/08/23 21:16:20 | d=:http://geni-orca.renci.org/owl/uncvmsite.rdf#uncvmsite/Domain/vm;resourceType=vm:1:null:http://geni-orca.renci.org/owl/uncvmsite.rdf#uncvmsite/Domain/vm
INFO | jvm 1 | 2014/08/23 21:16:20 | d=:http://geni-orca.renci.org/owl/uncvmsite.rdf#uncvmsite/Domain/vm;resourceType=vm:1:null:http://geni-orca.renci.org/owl/uncvmsite.rdf#uncvmsite/Domain/vm
INFO | jvm 1 | 2014/08/23 21:16:20 | d=:http://geni-orca.renci.org/owl/uncvmsite.rdf#uncvmsite/Domain/vm;resourceType=vm:1:null:http://geni-orca.renci.org/owl/uncvmsite.rdf#uncvmsite/Domain/vm/vm
INFO | jvm 1 | 2014/08/23 21:16:20 | d=:http://geni-orca.renci.org/owl/91232496-85b8-4adb-b9d4-48c4af4299ec#Link31;resourceType=vlan:1:null:http://geni-orca.renci.org/owl/uncvmsite.rdf#uncvmsite/Domain/vlan
INFO | jvm 1 | 2014/08/23 21:16:20 | 2014-08-23 21:16:20,162 [qtp693536729-28 - /orca/xmlrpc] DEBUG controller.orca.controllers.xmlrpc.OrcaXmlrpcHandler?? - No removed reservations in slice with urn ng-n-3 sliceId e5ac721f-d882-44d9-a5aa-751bb97222a1
INFO | jvm 1 | 2014/08/23 21:16:20 | 2014-08-23 21:16:20,163 [qtp693536729-28 - /orca/xmlrpc] DEBUG controller.orca.controllers.xmlrpc.OrcaXmlrpcHandler?? - No added reservations in slice with urn ng-n-3 sliceId e5ac721f-d882-44d9-a5aa-751bb97222a1
Can you please check.

Change History

Changed 5 years ago by ibaldin

At least the simple case of intra-domain should work. Possibly also inter-case.

Changed 5 years ago by ibaldin

  • component changed from Don't Know to External: Testing and Redeployment

Changed 5 years ago by ibaldin

Last status from Yufeng - there no more problems he knows of in this ticket. Needs more testing.

Changed 5 years ago by anirban

I tried the same test for modify. Run slice with one node and nodegroup with 2 nodes. Add 2 nodes, delete one of the old nodes. All interfaces appear fine. Restart everything. Querying manifest is fine at this point. Interfaces and slice fine. Add one node. Now, the new node fails because of the following.

Controller did not pass image proxy properties ${config.image.url} or ${config.image.guid}, using default emi ami-00000009

The new node shows correct name, with correct interfaces in "View properties". The handler correctly fails and "query manifest" shows the node in Failed state. The issue is that after recovery the imageproxy properties are not passed to the handler for newly added node.

Changed 5 years ago by yxin

Added these information correctly in manifest so can be correctly recovered. Pls test to confirm.

Changed 5 years ago by ibaldin

Unable to extend modified slice after restore due to slice state remaining in configuring. This one's probably mine.

Changed 5 years ago by ibaldin

Should be fixed in #6803

Changed 5 years ago by ibaldin

That is r6803

Changed 5 years ago by ibaldin

Network name to added nodes in nodegroup after recovery is eth0 instead of vlan-data.

Changed 5 years ago by yxin

checked in a fix, please test if it works.

Changed 5 years ago by anirban

Nope, it still doesn't work. Network name to added nodes in nodegroup after recovery is "none" instead of vlan-data.

2014-09-17 12:55:59,909 -- neuca-quantum-add-iface 21026 DEBUG : QUANTUM_NET_NETWORK: vlan-data
2014-09-17 12:56:12,061 -- neuca-quantum-add-iface 21216 DEBUG : QUANTUM_NET_NETWORK: vlan-data
2014-09-17 12:56:32,555 -- neuca-quantum-add-iface 21401 DEBUG : QUANTUM_NET_NETWORK: vlan-data
2014-09-17 12:58:44,634 -- neuca-quantum-add-iface 23987 DEBUG : QUANTUM_NET_NETWORK: vlan-data
2014-09-17 12:58:45,764 -- neuca-quantum-add-iface 24019 DEBUG : QUANTUM_NET_NETWORK: vlan-data
2014-09-17 13:03:40,606 -- neuca-quantum-add-iface 29944 DEBUG : QUANTUM_NET_NETWORK: none
2014-09-17 13:04:02,931 -- neuca-quantum-add-iface 30861 DEBUG : QUANTUM_NET_NETWORK: none
2014-09-17 13:04:04,940 -- neuca-quantum-add-iface 30902 DEBUG : QUANTUM_NET_NETWORK: none
2014-09-17 13:04:05,789 -- neuca-quantum-add-iface 30937 DEBUG : QUANTUM_NET_NETWORK: none

Changed 5 years ago by yxin

Sorry, the svn commit failed yesterday. Just recommitted, please try it again now.

Changed 5 years ago by anirban

  • status changed from new to closed
  • resolution set to fixed

This has been fixed.. Closing ticket..

Note: See TracTickets for help on using tickets.